//
//  OffersHeaderView.swift
//  PadelClub
//
//  Created by Laurent Morvillier on 23/04/2024.
//

import SwiftUI
import TipKit

struct SubscriptionInfoView: View {
    
    @State var payment: Tournament.TournamentPayment? = .free
        
    var body: some View {
        
        Group {
            switch self.payment {
            case .free:
                TipView(FreeTournamentTip()).tipStyle(tint: nil, background: .blue.opacity(0.2))
            case nil:
                TipView(NoPaymentTip()).tipStyle(tint: nil, background: .logoRed)
            default:
                EmptyView()
            }
        }.onAppear {
            self.payment = Guard.main.paymentForNewTournament()
        }
        
    }
    
}

struct FreeTournamentTip: Tip {
    var title: Text {
        return Text("Nous vous offrons votre premier tournoi ! Convoquez les équipes, créez les poules, le tableau comme vous le souhaitez. \nEnregistrez les résultats de chaque équipes et diffusez les scores en temps réel sur les écrans de votre club !")
    }
    
    var image: Image? {
        Image(systemName: "gift.fill")
    }
    
}

struct NoPaymentTip: Tip {
    var title: Text {
        return Text("Vous ne disposez plus d'une offre vous permettant de convoquer les joueurs et de rentrer les résultats des matchs. Nous vous invitons à consulter les offres dans l'onglet JA.").foregroundStyle(.white)
    }
    
    var image: Image? {
        Image(systemName: "exclamationmark.bubble.fill")
    }
}

//#Preview {
//    SubscriptionInfoView(payment: .free)
//}
